package com.ym.mec.biz.dal.dto;

import java.math.BigDecimal;

public class ChildrenStatisticsDetailDto {
    private String organName;

    private String cooperationOrganName;

    private String musicGroupName;

    private String currentClass;

    private String realName;

    private String username;

    private String phone;

    private Integer userId;

    private boolean isReserve = false;

    private String subjectName;

    private String theoryLevel;

    private String gradeLeave;

    private boolean buyVipFlag = false;

    private boolean buyTheoryCourseFlag = false;

    private BigDecimal totalAmount = BigDecimal.ZERO;

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getCooperationOrganName() {
        return cooperationOrganName;
    }

    public void setCooperationOrganName(String cooperationOrganName) {
        this.cooperationOrganName = cooperationOrganName;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public String getCurrentClass() {
        return currentClass;
    }

    public void setCurrentClass(String currentClass) {
        this.currentClass = currentClass;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getTheoryLevel() {
        return theoryLevel;
    }

    public void setTheoryLevel(String theoryLevel) {
        this.theoryLevel = theoryLevel;
    }

    public String getGradeLeave() {
        return gradeLeave;
    }

    public void setGradeLeave(String gradeLeave) {
        this.gradeLeave = gradeLeave;
    }

    public boolean isBuyVipFlag() {
        return buyVipFlag;
    }

    public void setBuyVipFlag(boolean buyVipFlag) {
        this.buyVipFlag = buyVipFlag;
    }

    public boolean isBuyTheoryCourseFlag() {
        return buyTheoryCourseFlag;
    }

    public void setBuyTheoryCourseFlag(boolean buyTheoryCourseFlag) {
        this.buyTheoryCourseFlag = buyTheoryCourseFlag;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public boolean getIsReserve() {
        return isReserve;
    }

    public void setIsReserve(boolean reserve) {
        isReserve = reserve;
    }
}
